/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlausschuss.entity;

@javax.enterprise.inject.Vetoed
public class WahlausschussEntschaedigungPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlausschussEntschaedigungPK> {

  private static final long serialVersionUID = 0L;

  public WahlausschussEntschaedigungPK() {
    super();
  }

  public WahlausschussEntschaedigungPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlausschussEntschaedigungPK:"+getId();
  }

  @Override
  public int compareTo(WahlausschussEntschaedigungPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
